Delete nodes in bulk

View as Markdown
Delete multiple nodes from a simulation at once. OOB infrastructure nodes cannot be deleted while auto_oob_enabled is True. If deleting these nodes results in zero primary network nodes remaining (i.e., only OOB infrastructure nodes remain), auto_oob_enabled will automatically be set to False, and all OOB infrastructure nodes will be removed. Note: `simulation` and `nodes` are fields in the payload. Each node in the `nodes` array must have an `id` field. Node IDs must be unique (no duplicates) and all nodes must belong to the specified simulation. For plugin nodes, if a child plugin node is deleted, its parent must also be included in the payload, and vice versa. **Required scope:** `air:simulation_edit` (roles: `air_org_admin`, `air_user`)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
simulationstringOptionalformat: "uuid"
The simulation the nodes belong to.
nodeslist of objectsOptional
Nodes in given simulation that need to be deleted.

Response

No response body

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error